> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Admins & Moderators or Get Details

> Without id/email, returns the list of admins & moderators of your school. If id or email is provided, returns a single admin/moderator.



## OpenAPI

````yaml get /admins
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /admins:
    get:
      summary: List Admins & Moderators or Get Details
      description: >-
        Without id/email, returns the list of admins & moderators of your
        school. If id or email is provided, returns a single admin/moderator.
      parameters:
        - name: id
          in: query
          schema:
            type: string
          description: >-
            If provided, returns the admin/moderator with this ID instead of a
            list.
        - name: email
          in: query
          schema:
            type: string
          description: >-
            If provided (and id not given), returns the admin/moderator with
            this email instead of a list.
      responses:
        '200':
          description: >-
            List of admins & moderators (when no id/email) or a single
            admin/moderator (when id/email provided).
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      users:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            email:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                            role:
                              type: string
                            is_active:
                              type: boolean
                            is_banned:
                              type: boolean
                            time_zone:
                              type: string
                            last_seen_at:
                              type: string
                              format: date-time
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            is_school_owner:
                              type: boolean
                  - type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                      role:
                        type: string
                      is_active:
                        type: boolean
                      is_banned:
                        type: boolean
                      time_zone:
                        type: string
                      last_seen_at:
                        type: string
                        format: date-time
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      is_school_owner:
                        type: boolean
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````